List static gates
/static-gate
Query Parameters
Filter static gates by name.
my-static-gateFilter static gates by environment ID (user should have access to the environment).
8a2b104d-74a6-47f2-b93e-c6b611e82391Response Body
100MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRaThe date and time when the static gate was created.
2021-08-10T10:30:00.000ZThe ID of the user who created this static gate.
b7bb7578-bff2-42b2-a57f-46c874865296The domain this static gate will proxy requests for.
api.example.comThe ID of the environment this static gate is scoped to.
8a2b104d-74a6-47f2-b93e-c6b611e82391The ID of the static gate.
1ba1f401-7183-47c5-9e39-e8e257e3c795A descriptive name for the static gate.
My Static GateThe date and time when the static gate was last updated.
2021-08-10T10:30:00.000Zcurl -X GET 'https://api.truto.one/static-gate' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/static-gate', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/static-gate"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
for await (const item of truto.staticGate.list()) {
console.log(item);
}import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.static_gates.list():
print(item)
asyncio.run(main())